//      serio.h
//      
//      Copyright 2012 Siegfried Wünsche <swuensche@MacDebian>
//      
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 2 of the License, or
//      (at your option) any later version.
//      
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//      
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.

#ifndef SERIO_H
#define SERIO_H

#include "MC68EZ328.h"
#include "vivo.h"
#include "types.h"

void putCharToUart(char c);
void putCrNlToUart(void);
void putStringToUart(char *s);
void putHexByteToUart(uint8_t c);
void putHexWordToUart(uint16_t c);
void putAddressToUart(uint32_t adr);
void putDumpToUart(uint8_t *data, uint32_t offset, uint32_t byteCount);

#endif /* SERIO_H */
